<h1 class="card-title">Fornecedores (Providers)</h1><br>
<h3 class="card-title">Swagger: <a href="http://localhost:8080/swagger-ui.html#/ProviderDocumentation" alt="Link de acesso ao swagger da POC, considerando demonstração em ambiente local." target="_blank">clique aqui!</a></h3><br>

<div class="mx-auto mt-5 card col-md" style="width: 35rem;">
    <div class="card-body">
        <h5 class="card-title">Cadastrar Fornecedor (Provider)</h5>
        <h6 class="card-subtitle mb-3 text-muted">Preencha os dados abaixo</h6>

        <form (submit)="providerService.createProvider($event)">
            <div class="row">
                <div class="form-group col-md">
                    <label for="legalName">Razão Social (legal name)</label>
                    <input name="legalName" [(ngModel)]="providerService.provider.legalName" type="string" id="legalName" class="form-control form-control-sm" placeholder="Informe a razão social da empresa fornecedora" autofocus  required/>
                </div>
                <div class="form-group col-md">
                    <label for="publicName">Nome Fantasia (public name)</label>
                    <input name="publicName" [(ngModel)]="providerService.provider.publicName" type="text" id="publicName" class="form-control form-control-sm" placeholder="Informa o nome fantasia do fornecedor (como ele deseja ser conhecido no mercado)"  required/>
                </div>
            </div><br />
            <div class="form-group">
                <label for="document">CNPJ</label>
                <input name="document" [(ngModel)]="providerService.provider.document" type="number" id="document" class="form-control form-control-sm" placeholder="Informe o CNPJ do fornecedor"  required/>
            </div><br />
            <div class="form-group">
                <label for="mainEmail">E-mail de contato</label>
                <input name="mainEmail" [(ngModel)]="providerService.provider.mainEmail" type="email" id="mainEmail" class="form-control form-control-sm" placeholder="Informe o e-mail principal de contato"  required/>
            </div><br />
            <div class="form-group">
                <label for="specialization">Especialidade do fornecedor</label>
                <input name="specialization" [(ngModel)]="providerService.provider.specialization" type="string" id="specialization" class="form-control form-control-sm" placeholder="Informe a especialidade principal do fornecedor. Exemplo: Reformas, Móveis Planejados, Veículos, Computadores, etc."  required/>
            </div><br />
            <div class="form-group">
                <label for="location">Endereço sede</label>
                <input name="location" [(ngModel)]="providerService.provider.location" type="string" id="location" class="form-control form-control-sm" placeholder="Informe o endereço da sede do fornecedor"  required/>

            </div><br />

            <button type="submit" class="btn btn-primary btn-sm">Cadastrar</button>

        </form>

    </div>

</div>

<hr>
<div class="mx-auto mt-5 card col-md" style="width: 35rem;">
  <div class="card-body">
      <h5 class="card-title">Buscar Fornecedor</h5>
      <h6 class="card-subtitle mb-3 text-muted">Preencha os dados abaixo</h6>

      <form (submit)="providerService.getProvidersByPublicName($event)">
          <div class="form-group">
              <label for="publicName">Nome Fantasia</label>
              <input name="publicName" [(ngModel)]="providerService.providerSearch.publicName" type="string" id="publicName" class="form-control form-control-sm" placeholder="Informe o nome fantasia do fornecedor desejado de busca" required/>
          </div>
          <button type="submit" class="btn btn-primary btn-sm">Buscar</button>
      </form>
  </div>
</div><br />

<table class="table">
  <thead>
    <tr>
      <th scope="col">Razão Social</th>
      <th scope="col">Nome Fantasia</th>
      <th scope="col">CNPJ</th>
      <th scope="col">Email de Contato</th>
      <th scope="col">Especialidde</th>
      <th scope="col">End. Sede</th>
    </tr>
  </thead>
  <tbody *ngFor="let provider of providerService.providers; let i = index">
    <tr>
      <td>{{provider.legalName}}</td>
      <td>{{provider.publicName}}</td>
      <td>{{provider.document}}</td>
      <td>{{provider.mainEmail}}</td>
      <td>{{provider.specialization}}</td>
      <td>{{provider.location}}</td>
    </tr>
  </tbody>
</table>
